<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
    <!-- includes and definitions-->
    <INCLUDE_ONCE file="model.inc"/>
    <INCLUDE_ONCE file="graph.inc"/>
    <INCLUDE_ONCE file="led.inc"/>
    <INCLUDE_ONCE file="tooltip.inc"/>
    <INCLUDE_ONCE file="text_value.inc"/>
    <INCLUDE_ONCE file="invisible_button/invisible_button.inc"/>
    <INCLUDE_ONCE file="black_box/black_box.inc"/>
      <DEFINE>
         <CUS_HOLD_METER base_type="IMAGE_PARAM_LINEAR_METER" orientation="horizontal" image="hold_meter.bmp" image_mask="hold_meter.bmp" thumb_image="hold_thumb.bmp"/>
      </DEFINE>    
      
      <CUS_GRAPH layout_type="layer_stack" text_color="#aaaaaa">
      <VARIABLE id="meter_width" value="800"/>
      <VARIABLE id="ruler_width" value="820"/>
      <TEMPLATE id="TPL_METERS" visible="false">
         <IMAGE_GROUP_BOX id="$prefix$meters" visible="$visible$" h_margin="2">
              <TABLE spacing="0">
                 <TABLE_ROW>
                    <CELL/>
                    <CELL/>
                    <CELL/>
                    <TEXT value=" max            avg" />
                 </TABLE_ROW>
                 <TABLE_ROW>
                    <!--First meter (Peak)-->
                    <TEXT value="Peak:" h_align="left"/>
                    <LAYER_STACK>
                        <!-- the actual meter -->
                        <IMAGE_PARAM_LINEAR_METER orientation="horizontal" image="$prefix$meter_small.bmp" param_id="$$prefix$peak_value$">
                           <CUS_TOOLTIP param_id="$$prefix$peak_value$" content="{name}: {value} {unit}" value_format="+.1"/>
                        </IMAGE_PARAM_LINEAR_METER>
                        <!-- maximum value meter-->
                        <CUS_HOLD_METER param_id="$$prefix$peak_meter_hold$" id="$prefix$hold_meter"/>
                    </LAYER_STACK>
                    <!-- Clip Meter -->
                     <CUS_LED param_id="$clipped$">
                       <CUS_LED_BUTTON param_id="$clip_reset$">
                            <TOOLTIP text="click to reset" delay_ms="500"/>
                       </CUS_LED_BUTTON>
                     </CUS_LED>
                     <ROW >
                        <CUS_BLACK_BOX>
                            <CUS_TEXT_VALUE param_id="$$prefix$peak_max$" text_h_align="right" value_format="+.1">
                               <CUS_INVISIBLE_BUTTON param_id="$peak_max_reset$" />
                            </CUS_TEXT_VALUE>
                        </CUS_BLACK_BOX>
                         <CUS_BLACK_BOX>
                            <CUS_TEXT_VALUE param_id="$$prefix$peak_avg$" text_h_align="right" value_format="+.1">
                               <CUS_INVISIBLE_BUTTON param_id="$peak_avg_reset$" />
                            </CUS_TEXT_VALUE>
                        </CUS_BLACK_BOX>
                    </ROW>
                 </TABLE_ROW>
                 <!-- Ruler -->
                 <TABLE_ROW height="2"/>
                 <TABLE_ROW>
                    <CELL/>
                    <GRID height="3" width="$meter_width$" x_param_info_id="$$prefix$peak_value$.info" orientation="horizontal" x_positions_count="63"/>
                    <CELL/>
                    <CELL/>
                 </TABLE_ROW>
                 <TABLE_ROW>
                    <TEXT value="dB"/>
                    <RULER font_size="12" param_info_id="$$prefix$peak_value$.info" orientation="horizontal" positions_count="32" width="$ruler_width$" h_margin="10" text_h_align="center" content="{value}" value_format="+.0"/>
                    <CELL/>
                    <CUS_BLACK_BOX layout_type="layer_stack">
                        <PARAM_TEXT param_id="display_type" width="92"/>
                        <INVISIBLE_PARAM_MENU_BUTTON param_id="display_type" positions_count="5" width="100%" height="100%" cursor="system::hand">
                            <TOOLTIP text="select meter scale"/>
                        </INVISIBLE_PARAM_MENU_BUTTON>
                    </CUS_BLACK_BOX>
                 </TABLE_ROW>
                  <TABLE_ROW>
                    <CELL/>
                    <GRID height="3" width="$meter_width$" x_param_info_id="$$prefix$peak_value$.info" orientation="horizontal" x_positions_count="63" />
                    <CELL/>
                    <CELL/>
                 </TABLE_ROW>
                 <TABLE_ROW height="2"/>
                 <!--Second meter (RMS)-->
                 <TABLE_ROW>
                    <TEXT value="RMS:" h_align="left"/>
                    <LAYER_STACK>
                        <IMAGE_PARAM_LINEAR_METER orientation="horizontal" image="$prefix$meter_small.bmp" param_id="$$prefix$rms_value$">
                           <CUS_TOOLTIP param_id="$$prefix$rms_value$" content="{name}: {value} {unit}" value_format="+.1"/>
                        </IMAGE_PARAM_LINEAR_METER>
                        <!-- maximum value meter-->
                        <CUS_HOLD_METER param_id="$$prefix$rms_meter_hold$"/>
                    </LAYER_STACK>
                    <!-- Clip Meter -->
                    <CELL width="9" />
                    <ROW>
                     <CUS_BLACK_BOX>
                        <CUS_TEXT_VALUE param_id="$$prefix$rms_max$" text_h_align="right" value_format="+.1">
                           <CUS_INVISIBLE_BUTTON param_id="$rms_max_reset$" />
                        </CUS_TEXT_VALUE>
                        </CUS_BLACK_BOX>
                       <CUS_BLACK_BOX>
                        <CUS_TEXT_VALUE param_id="$$prefix$rms_avg$" text_h_align="right" value_format="+.1">
                           <CUS_INVISIBLE_BUTTON param_id="$rms_avg_reset$" />
                        </CUS_TEXT_VALUE>
                         </CUS_BLACK_BOX>
                    </ROW>
                 </TABLE_ROW>
                  <TABLE_ROW height="6">
                  </TABLE_ROW>
              </TABLE>
         </IMAGE_GROUP_BOX>
      </TEMPLATE>
      <TPL_METERS prefix=""     visible="true"/>
      <TPL_METERS prefix="k12_" visible="false"/>
      <TPL_METERS prefix="k14_" visible="false"/>
      <TPL_METERS prefix="k20_" visible="false"/>
      <PARAM_MULTI_LINK from="display_type;value_rms3dB" to="meters.visible" mux_function="&lt;="/>
      <PARAM_MULTI_LINK from="display_type;value_k12" to="k12_meters.visible" mux_function="="/>
      <PARAM_MULTI_LINK from="display_type;value_k14" to="k14_meters.visible" mux_function="="/>
      <PARAM_MULTI_LINK from="display_type;value_k20" to="k20_meters.visible" mux_function="="/>
    </CUS_GRAPH>
</DUMMY>